function [ys,params,check] = BBCDLmodelcomp_ramsey_agent_c1pid_1_steadystate(ys,exo,M_,options_)
 
check = 0;

%% assign parameter values

BBCDLmodelcomp_ramsey_agent_c1pid_1_paramfile
 
%% assign steady state values

BBCDLmodelcomp_ramsey_agent_c1pid_1_ss_defs
 
%% send parameters and steady states to dynare
nparams = size(M_.param_names,1);
params = nan(nparams,1);
for icount = 1:nparams
    eval(['params(icount) = ',M_.param_names{icount},';'])
end

nvars = M_.endo_nbr;
ys = zeros(nvars,1);
for i_indx = 1:nvars
   eval(['ys(i_indx)=',M_.endo_names{i_indx},';']) 
end

